// Exemple de programme de gestion du polybutton
#include <Polybutton.h>

/*
Les boutons sont numérotés de 0 à 4

les fonctions d'un objet Polybutton sont les suivantes
Polybutton(j); Cree un objet polybutton et le rattache à l'entrée analogique j. 
j vaut A0..A5 sur un Uno

Get(); prend la valeur analogique et la decode
Get(i); idem à Get() mais renvoi la valeur booleenne du bouton i
Etat(i); renvoi l'état du bouton N°i
state(i); idem pour les anglais
*/

Polybutton B = Polybutton(A0); // un polybutton attaché à la broche A0

void setup() 
{
	Serial.begin(9600);  // juste pour afficher le résultat sur la console de dialogue
}

int I;
void loop() {
	B.Get(); // cherche et decode le bouton multiple
	for (byte i = 0; i < 5; i++) 
	{
		if (B.Etat(i)) // fonction qui renvoi l'état du bouton N°i 
		{
			Serial.print("1 ");
		} 
		else
		{
			Serial.print("0 ");
		}
	};
	Serial.println();
	delay(0);
}
